# Clear on WorldGuard

This plugin will clear a player's items when they enter or leave, or teleport to or from one of the configured regions.
This is mainly useful if players are able to temporarily go in creative mode in specific WorldGuard regions. Players are
denied entry if they have any items in their inventory to prevent item loss.

A lot of additional things are blocked within clear regions in order to prevent creative mode abuse, such as:
projectiles, XP bottle usage, spawn egg usage, changing the mob in a spawner, dropping items, picking up items,
breaking, placing or interacting with blocks across clear region borders, block drops, mob drops, pistons pushing or
pulling across clear region borders, dispenser dispensers, droppers, armor dispensing, blocks burning, blocks igniting (
except flint and steel), creepers exploding, TNT priming and keeping any inventory items if dying within a clear area.
This list probably exhaustive.

#### WorldEdit

If you want to allow WorldGuard in clear regions, please
use [WorldGuard Extra Flags](https://www.spigotmc.org/resources/worldguard-extra-flags.4823/), and set WorldGuard's
WorldEdit flag to false for the \_\_global__ region and true for each clear region.

## Dependencies

- WorldGuard

## Configuration

Add the identifier (name or UUID) of the world you want to specify a region for as a sub-key of clearRegions. Make sure
your world identifier is a string list "worldName: []", and add any regions you want to enable inventory clearing for to
the list of the world the region belongs to.

Example config:

```yaml
clearRegions:
  world:
    - "creative_building"
    - "clear"
```

or

```yaml
clearRegions:
  world: [ "creative_building", "clear" ]
```