package net.knarcraft.clearonworldguard.property;

import org.jetbrains.annotations.NotNull;

/**
 * A representation of manually checked permissions
 */
public enum Permission {

    /**
     * The permission for bypassing entity interaction restrictions
     */
    BYPASS_ENTITY_INTERACTION("clearonworldguard.bypass.entityinteraction"),

    /**
     * The permission for bypassing mob spawning restrictions
     */
    BYPASS_MOB_SPAWNING("clearonworldguard.bypass.mobspawning"),
    ;

    private final String permissionString;

    /**
     * Instantiates a new permission
     *
     * @param permissionString <p>The permission string this represents</p>
     */
    Permission(@NotNull String permissionString) {
        this.permissionString = permissionString;
    }

    @Override
    public String toString() {
        return permissionString;
    }

}
